<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc')">
</head>

<body>
  <nav th:replace="@{/include/navbar}"></nav>

  <main>
    <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
    <div class="text-white m-5">
      <h2>A propos de Digitroc</h2>
    </div>
    <div class="container text-white">
      <p>Digitroc est un site de troc de dvd entre habitants d’une même ville. Il vise à favoriser l’échange de main en
        main,
        tout en créant un réseau de passionnés. En effet, le dvd constitue le dernier objet physique contenant des
        films, séries
        ou encore documentaires. Son avantage réside dans la qualité de l'œuvre proposée, aussi bien visuelle que
        sonore, mais
        aussi dans la présence de nombreux bonus qui permettent, par exemple, de découvrir ce qui se passe derrière la
        caméra.
        Par ailleurs, certaines œuvres ne sont plus éditées et sont introuvables dans le commerce ou en ligne. L’échange
        se révèle
        alors une chance de (re)trouver la perle rare.
      </p>
    </div>
    <div class="album py-5">
      <div class="container-fluid news">
        <h2 class="text-center pt-3">Les derniers ajouts</h2>
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-6 g-3 justify-content-between p-5">
          <div class="col" th:each="dvd : ${dvds}">
            <a th:href="@{/dvd/} + ${dvd.id}"><img th:src="${dvd.image}" class="img-fluid w-100 dvdimg"
                alt="photo dvd" /></a>
            <div class="card-body">
              <p class="card-text title fs-4 fw-bold" th:text="${dvd.title}">Card title</p>
              <p class="card-text fs-5"><small>Ajouté par </small><span class="text-danger fw-bold"
                  th:text="${dvd.user.username}">Nom
                  utilisateur</span></p>
              <small class="text-muted text-center ">date ajout <span
                  th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
              <div class="d-flex justify-content-between align-items-center mt-2">
                <div class="btn-group justify-content-center">
                  <a th:href="@{/dvd/} + ${dvd.id}"><button type="button"
                      class="btn btn-sm btn-primary border-2 border-white"><i class="fas fa-eye"></i></button></a>
                  <button type="button" class="btn btn-sm btn-success border-2 border-white"><i
                      class="fas fa-exchange-alt"></i></button>
                </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="container p-3 bg-light mb-5 rounded-3">

      <form>
        <h3 class="text-secondary fw-bold"><strong>Recherche avancée</strong></h3>

        <div id="app" class="mb-3">
          <label for="exampleInputText" class="form-label" th:action="@{/search}" th:object="${dvd}"
            method="post">Titre</label>
          <input type="text" class="form-control" id="exampleInputText" placeholder="recherche par titre"
            v-model="search">
          <div class="list-group">
            <a :href="'/dvd/'+dvd.id" class="list-group-item list-group-item-action list-group-item-warning" v-for="dvd in dvds">
              {{dvd.title}}
            </a>
          </div>
        </div>

        <div class="mb-3">
          <label for="exampleInputCat" class="form-label">Catégorie</label>
          <input type="text" class="form-control" id="exampleInputCat" placeholder="recherche par catégorie">
        </div>
        <div class="mb-3">
          <label for="exampleInputDate" class="form-label">Année</label>
          <input type="year" class="form-control" id="exampleInputDate" placeholder="recherche par année">
        </div>
        <button type="submit" class="btn send btn-dark">Envoyer</button>
      </form>
    </div>
  </main>

  <script>
    Vue.createApp({
            data() {
                return {
                    search: '',
                    dvds: []
                }
            },
            methods: {
                async fetchSearch() {
                    if (this.search.length > 2) {
                        const response = await fetch('/api/dvd?search=' + this.search);
                        this.dvds = await response.json();
                    } else {
                        this.dvds = [];
                    }
                }
            },
            watch:{
              async search() {
                await this.fetchSearch()
              }
            }
        }).mount('#app')
  </script>

  <div th:replace="@{/include/footer}"></div>
  <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>